%global srcname aws-adfs
%global pypi_name aws-adfs
%global gh_owner jborean93
%global library_name aws_adfs

Name:           python-%{pypi_name}
Version:        2.2.2
Release:        1.99%{?dist}
Summary:        Python 3 compatible NTLM library

License:        LGPLv3+
URL:            https://pypi.python.org/pypi/%{pypi_name}
Source0:        https://github.com/%{gh_owner}/%{pypi_name}/archive/v%{version}.tar.gz#/%{srcname}-%{version}.tar.gz
BuildArch:      noarch
Patch0:         aws_adfs-fido2.patch

BuildRequires:  python3-setuptools
BuildRequires:  python3-devel

# For tests
BuildRequires:  python3-pytest
BuildRequires:  python3-requests

%description
 This package allows Python clients running on any operating system to provide
NTLM authentication to a supporting server.

%package -n     python3-%{pypi_name}
Obsoletes:      python3-ntlm3 < 1.0.3-1
Provides:       python3-ntlm3 = %{version}-%{release}
Summary:        Python 3 compatible NTLM library
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{pypi_name}
 This package allows Python clients running on any operating system to provide
NTLM authentication to a supporting server.

%prep
%autosetup -p1 -n %{srcname}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
# %{__python3} -m pytest --ignore=tests/functional/test_iis.py tests

%files -n python3-%{pypi_name}
%doc README.md
%license LICENSE
%{_bindir}/%{pypi_name}
%{python3_sitelib}/%{library_name}
%{python3_sitelib}/%{library_name}-%{version}-py?.?.egg-info

%changelog

* Wed Sep 08 2021 Aram Minasyan <aram_dot_minasyan_at_yahoo_dot_com> - 1.24.5
- Initial rpm release
